org.apache.cassandra.utils

## Class DefaultValue<T>

- java.lang.Object
- - org.apache.cassandra.utils.DefaultValue<T>

-     public class DefaultValue<T>
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultValue(T value)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isModified()`
    `void` | `reset()`
    `void` | `set(T i)`
    `T` | `value()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultValue

          public DefaultValue(T value)

  - ### Method Detail

    - #### value

          public T value()

    - #### set

          public void set(T i)

    - #### reset

          public void reset()

    - #### isModified

          public boolean isModified()

Copyright © 2018 The Apache Software Foundation